ROS Kinetic切换OpenCV到2.X版本





注意,本文章只针对简单的应用,不涉及到复杂的严重依赖OpenCV模块的项目。如果依赖复杂,可能会导致OpenCV 2.XOpenCV 3.X的运行时库同时被加载,导致运行时候崩溃。

最近在使用ROS开发项目,代码从Indigo(Ubuntu 14.04)升级到KineticUbuntu 16.04)。

发现OpenCV升级到了opencv-3.2.0-dev版本,但是实际使用中发现代码在opencv-2.4.9版本上能正确运行,但是升级到opencv-3.2.0-dev版本之后,就不能正常工作了。

为了查找问题,需要降级一下OpenCV版本。

网上查找了一下,找到如下解决方法:

然后修改如下的内容(修改之前请注意先备份

指向系统自带的opencv-2.4.9版本

修改完成后,必要的情况下,请在删除~/workspace/ros/catkin/目录下的builddevel目录之后,重新编译。

参考链接


发布者

默默

默默码农

发表评论

电子邮件地址不会被公开。 必填项已用*标注